events.listen('recipes', event => {
    event.shaped(item.of('bigreactors:basic_reactorcasing', 4), [
        'IGI',
        'GSG',
        'IGI'
    ], {
        I: '#forge:ingots/iron',
        G: 'bigreactors:graphite_ingot',
        S: 'minecraft:sandstone'
    })
    event.shaped(item.of('bigreactors:basic_turbinecasing', 4), [
        'IGI',
        'GSG',
        'IGI'
    ], {
        I: '#forge:ingots/iron',
        G: '#forge:ingots/cyanite',
        S: '#forge:storage_blocks/redstone'
    })
    event.shaped(item.of('bigreactors:reinforced_reactorcasing', 4), [
        'IGI',
        'GSG',
        'IGI'
    ], {
        I: '#forge:ingots/steel',
        G: 'bigreactors:graphite_ingot',
        S: 'bigreactors:basic_reactorcasing'
    })
    event.shaped(item.of('bigreactors:reinforced_reactorcasing', 4), [
        'IGI',
        'GSG',
        'IGI'
    ], {
        I: '#forge:ingots/steel',
        G: 'bigreactors:graphite_ingot',
        S: '#forge:storage_blocks/iron'
    })
    event.shaped(item.of('bigreactors:reinforced_turbinecasing', 4), [
        'IGI',
        'GSG',
        'IGI'
    ], {
        I: '#forge:ingots/steel',
        G: '#forge:ingots/cyanite',
        S: 'bigreactors:basic_turbinecasing'
    })
    event.shaped(item.of('bigreactors:reinforced_turbinecasing', 4), [
        'IGI',
        'GSG',
        'IGI'
    ], {
        I: '#forge:ingots/steel',
        G: '#forge:ingots/cyanite',
        S: '#forge:storage_blocks/iron'
    })
    event.shaped(item.of('bigreactors:basic_reactorglass', 2), [
        'GHG'
    ], {
        G: '#forge:glass',
        H: 'bigreactors:basic_reactorcasing'
    })
    
    event.shaped(item.of('bigreactors:basic_turbineglass', 2), [
        'GHG'
    ], {
        G: '#forge:glass',
        H: 'bigreactors:basic_turbinecasing'
    })
    event.shaped(item.of('bigreactors:reinforced_reactorglass', 2), [
        'GHG'
    ], {
        G: '#thermal:glass/hardened',
        H: 'bigreactors:reinforced_reactorcasing'
    })
    
    event.shaped(item.of('bigreactors:reinforced_turbineglass', 2), [
        'GHG'
    ], {
        G: '#thermal:glass/hardened',
        H: 'bigreactors:reinforced_turbinecasing'
    })

    event.shapeless(item.of('bigreactors:basic_reactorcasing', 1), ['bigreactors:basic_reactorglass', 'bigreactors:basic_reactorglass'])
    event.shapeless(item.of('bigreactors:reinforced_reactorcasing', 1), ['bigreactors:reinforced_reactorglass', 'bigreactors:reinforced_reactorglass'])
    event.shapeless(item.of('bigreactors:basic_turbinecasing', 1), ['bigreactors:basic_turbineglass', 'bigreactors:basic_turbineglass'])
    event.shapeless(item.of('bigreactors:reinforced_turbinecasing', 1), ['bigreactors:reinforced_turbineglass', 'bigreactors:reinforced_turbineglass'])
})